import { IListTableProps as ICoreListTableProps, IListTableComponentProps } from "@reactionable/core/lib/crud/list/ListTable";
import { IData } from "@reactionable/core/lib/query/Query";
import { ReactElement } from "react";
export declare type IListTableProps<Data extends IData = IData> = ICoreListTableProps<Data>;
export declare function ListTableComponent<Data extends IData = IData>({ head, ...bodyProps }: IListTableComponentProps<Data>): ReactElement;
export declare function ListTable<Data extends IData = IData>(props: IListTableProps<Data>): ReactElement;
